#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Cairo
Summary:	Perl Cairo bindings
Summary(pl.UTF-8):	Wiązania Cairo dla Perla
Name:		perl-Cairo
Version:	1.106
Release:	6
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	47ca0ae0f5b9bc4c16a27627ff48bd8b
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	cairo-devel >= 1.10.0
BuildRequires:	perl-ExtUtils-Depends >= 0.201
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.06
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Number-Delta >= 1.0
%endif
Requires:	cairo >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides perl access to Cairo library.

%description -l pl.UTF-8
Ten moduł daje dostęp z poziomu Perla do biblioteki Cairo.

%package devel
Summary:	Development files for Perl Cairo bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Cairo dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.10.0

%description devel
Development files for Perl Cairo bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Cairo dla Perla.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Cairo/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%{perl_vendorarch}/Cairo.pm
%dir %{perl_vendorarch}/Cairo
%dir %{perl_vendorarch}/auto/Cairo
%attr(755,root,root) %{perl_vendorarch}/auto/Cairo/Cairo.so
%{_mandir}/man3/Cairo.3pm*

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/Cairo/Install
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Cairo.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 85b75b7
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 2a81c85
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> cd5f368
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e84bfe4
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> aef7a3d
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> c59eda1
- updated to 1.106

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6f5a9e3
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> cf0383e
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 4c9abf4
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 868d7ee
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5a8dc0a
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> bfd1fec
- updated to 1.103
- removed obsolete tests patch
- separated devel files

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 1493820
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue Jun 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 7339ba7
- updated to 1.082
- added tests patch (from git, adjusted for 1.082 release)

* Mon May 02 2011 Jakub Bogusz <qboosh@pld-linux.org> eb295df
- updated to 1.062; tests have been fixed

* Wed Mar 09 2011 Jakub Bogusz <qboosh@pld-linux.org> c431f15
- temporarily disable CairoSurface tests (they fail with current cairo)

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 7c5cc93
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ff55b60
- release 2

* Fri Aug 21 2009 amateja <amateja@pld-linux.org> ddff1af
- updated to 1.061

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 192ffa3
- release 2

